Page MenuHomePhabricator

[python bindings] Expose template argument API for Type
ClosedPublic

Authored by kjteske on Aug 27 2018, 6:06 AM.

Details

Summary

Expose the C bindings for clang_Type_getNumTemplateArguments() and clang_Type_getTemplateArgumentAsType() in the python API.

Diff Detail

Event Timeline

kjteske created this revision.Aug 27 2018, 6:06 AM
kjteske edited the summary of this revision. (Show Details)Aug 27 2018, 6:07 AM
kjteske added a reviewer: jbcoe.
jbcoe accepted this revision.Sep 8 2018, 6:48 PM
This revision is now accepted and ready to land.Sep 8 2018, 6:48 PM

Thanks for the review @jbcoe , could you commit this for me?

jbcoe added a comment.Sep 9 2018, 5:36 PM

I can commit this. Thanks for the great work!

Closed by commit rC341930: [python bindings] Expose getNumTemplateArguments (authored by jbcoe, committed by ). · Explain Why
This revision was automatically updated to reflect the committed changes.
This revision was automatically updated to reflect the committed changes.